> ## Documentation Index
> Fetch the complete documentation index at: https://docs.carbn.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Wallet

> Register a new wallet for a user



## OpenAPI

````yaml /api-reference/openapi.json post /payment/api/v1/wallets/register
openapi: 3.0.0
info:
  title: Carbn Connect API
  version: 1.0.0
  description: >-
    API documentation for Carbn Connect services including user onboarding, KYC,
    wallet management, and transfers.
servers:
  - url: https://api.carbnconnect.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /payment/api/v1/wallets/register:
    post:
      tags:
        - Account Management
      summary: Register Wallet
      description: Register a new wallet for a user
      operationId: registerWallet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletRegisterRequest'
      responses:
        '200':
          description: Wallet registered successfully
        '400':
          description: Invalid request
        '401':
          description: Unauthorized - API key is missing or invalid
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WalletRegisterRequest:
      type: object
      required:
        - user_id
        - crypto
        - wallet_address
        - blockchain
        - source_currency
      properties:
        user_id:
          type: string
          format: uuid
          example: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
        crypto:
          type: string
          example: USDC
        wallet_address:
          type: string
          example: 3BsSGETYNCjfULdgYEBVmzwXgaspS6E5pgncJr3bfBeU
        blockchain:
          type: string
          example: solana
        source_currency:
          type: string
          example: EUR
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Must be included in the x-api-key header.

````